summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Christoph Willing2018-05-30 00:18:07 +0200
committer Willy Sudiarto Raharjo2018-06-02 02:32:32 +0200
commit5cff3392bba35eba59cc71c51afda9a3e150584a (patch)
tree54a7b0eb3e172689d593b5046dc6f09cd8501495 /libraries
parentf18735decf5ba71da4f388bc7e039028bf91b316 (diff)
downloadslackbuilds-5cff3392bba35eba59cc71c51afda9a3e150584a.tar.gz
libraries/osgQt: Added (Qt interface to OpenSceneGraph).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/osgQt/README8
-rw-r--r--libraries/osgQt/osgQt.SlackBuild99
-rw-r--r--libraries/osgQt/osgQt.info10
-rw-r--r--libraries/osgQt/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/libraries/osgQt/README b/libraries/osgQt/README
new file mode 100644
index 0000000000..bacfa07668
--- /dev/null
+++ b/libraries/osgQt/README
@@ -0,0 +1,8 @@
+This is a Qt project for making use of OpenSceneGraph (OSG).
+
+By default, this SlackBuild will build a Qt4 library.
+If a Qt5 version is desired instead, set the OSGQT
+environment variable when building osgQt i.e.
+ OSGQT=5 sh osgQt.SlackBuild
+In this case, the qt5 package is an additional requirement
+when building.
diff --git a/libraries/osgQt/osgQt.SlackBuild b/libraries/osgQt/osgQt.SlackBuild
new file mode 100644
index 0000000000..20b0ec5bf8
--- /dev/null
+++ b/libraries/osgQt/osgQt.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for osgQt
+
+# Copyright 2018 Christoph Willing, Brisbane Australia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=osgQt
+VERSION=${VERSION:-3.5.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+osgqt="-DDESIRED_QT_VERSION=4"; [ "${OSGQT:-4}" = "5" ] && osgqt="-DDESIRED_QT_VERSION=5"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake .. \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release \
+ $osgqt
+
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS.txt README.md LICENSE.txt NEWS.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/osgQt/osgQt.info b/libraries/osgQt/osgQt.info
new file mode 100644
index 0000000000..9e9f97b07c
--- /dev/null
+++ b/libraries/osgQt/osgQt.info
@@ -0,0 +1,10 @@
+PRGNAM="osgQt"
+VERSION="3.5.5"
+HOMEPAGE="https://github.com/openscenegraph/osgQt"
+DOWNLOAD="https://github.com/openscenegraph/osgQt/archive/3.5.5/osgQt-3.5.5.tar.gz"
+MD5SUM="90da7a650bfa20c0c42cda93dc61b27f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="OpenSceneGraph"
+MAINTAINER="Christoph Willing"
+EMAIL="chris.willing@linux.com"
diff --git a/libraries/osgQt/slack-desc b/libraries/osgQt/slack-desc
new file mode 100644
index 0000000000..cf164e4df6
--- /dev/null
+++ b/libraries/osgQt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+osgQt: osgQt (Qt interface to OpenSceneGraph)
+osgQt:
+osgQt: This is a Qt project for making use of OpenSceneGraph(OSG).
+osgQt:
+osgQt:
+osgQt:
+osgQt:
+osgQt:
+osgQt:
+osgQt:
+osgQt: